NetworkGroupLookup.NetworkProductGroupLookup=class{groupForRequest(request){var productName=ProductRegistry.nameForUrl(request.parsedURL);if(!productName)
return null;return productName;}
groupName(key){return(key);}
lookupColumnValue(request){return ProductRegistry.nameForUrl(request.parsedURL)||'';}
requestComparator(aRequest,bRequest){var aValue=this.lookupColumnValue(aRequest);var bValue=this.lookupColumnValue(bRequest);if(aValue===bValue)
return aRequest.indentityCompare(bRequest);return aValue>bValue?1:-1;}};NetworkGroupLookup.NetworkProductFrameGroupLookup=class{groupForRequest(request){var resourceTreeModel=request.networkManager().target().model(SDK.ResourceTreeModel);if(!resourceTreeModel)
return null;var frame=resourceTreeModel.frameForId(request.frameId);if(!frame||frame.isMainFrame())
return null;return frame;}
groupName(frameArg){var frame=(frameArg);var name;var frameParsedURL=new Common.ParsedURL(frame.url);if(frame.url)
name=ProductRegistry.nameForUrl(frameParsedURL);if(name)
return name;var symbol=NetworkGroupLookup.NetworkProductFrameGroupLookup._productFrameGroupNameSymbol;if(frame[symbol])
return frame[symbol];frame[symbol]=this._lookupFrameStacktraceName(frame)||frameParsedURL.host||frame.name||'<iframe>';return frame[symbol];}
_lookupFrameStacktraceName(frame){var stackTrace=frame.creationStackTrace();var name;while(stackTrace){for(var stack of stackTrace.callFrames){if(stack.url)
name=ProductRegistry.nameForUrl(new Common.ParsedURL(stack.url));if(name)
return name;}
stackTrace=frame.parent;}
return null;}};NetworkGroupLookup.NetworkProductTypeGroupLookup=class{decorate(node){var request=node.request();var element=node.existingElement();if(!request||!element)
return;var typeName=ProductRegistry.typeForUrl(request.parsedURL);if(typeName===null)
return;var icon=UI.Icon.create('smallicon-network-product');var color;if(typeName===1){color=Common.Color.fromRGBA([255,252,225,.6]);icon.style.filter='hue-rotate(220deg) brightness(1.5)';}else if(typeName===2){color=Common.Color.fromRGBA([211,253,211,.6]);icon.style.filter='hue-rotate(-90deg) brightness(1.5)';}else{color=Common.Color.fromRGBA([224,247,250,.6]);}
node.setIconForColumn('product-extension',icon);node.setBackgroundColor(color);}};NetworkGroupLookup.NetworkProductFrameGroupLookup._productFrameGroupNameSymbol=Symbol('ProductFrameGroupName');;